//Copyright (C)2014-2021 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: GowinSynthesis V1.9.7.05Beta
//Part Number: GW2A-LV18PG256C8/I7
//Device: GW2A-18C
//Created Time: Thu Apr 29 09:16:44 2021

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	Gowin_EMPU_M1_Top your_instance_name(
		.LOCKUP(LOCKUP_o), //output LOCKUP
		.UART0RXD(UART0RXD_i), //input UART0RXD
		.UART0TXD(UART0TXD_o), //output UART0TXD
		.AHB1HRDATA(AHB1HRDATA_i), //input [31:0] AHB1HRDATA
		.AHB1HREADYOUT(AHB1HREADYOUT_i), //input AHB1HREADYOUT
		.AHB1HRESP(AHB1HRESP_i), //input [1:0] AHB1HRESP
		.AHB1HTRANS(AHB1HTRANS_o), //output [1:0] AHB1HTRANS
		.AHB1HBURST(AHB1HBURST_o), //output [2:0] AHB1HBURST
		.AHB1HPROT(AHB1HPROT_o), //output [3:0] AHB1HPROT
		.AHB1HSIZE(AHB1HSIZE_o), //output [2:0] AHB1HSIZE
		.AHB1HWRITE(AHB1HWRITE_o), //output AHB1HWRITE
		.AHB1HREADYMUX(AHB1HREADYMUX_o), //output AHB1HREADYMUX
		.AHB1HMASTER(AHB1HMASTER_o), //output [3:0] AHB1HMASTER
		.AHB1HMASTLOCK(AHB1HMASTLOCK_o), //output AHB1HMASTLOCK
		.AHB1HADDR(AHB1HADDR_o), //output [31:0] AHB1HADDR
		.AHB1HWDATA(AHB1HWDATA_o), //output [31:0] AHB1HWDATA
		.AHB1HSEL(AHB1HSEL_o), //output AHB1HSEL
		.AHB1HCLK(AHB1HCLK_o), //output AHB1HCLK
		.AHB1HRESET(AHB1HRESET_o), //output AHB1HRESET
		.FLASH_SPI_HOLDN(FLASH_SPI_HOLDN_io), //inout FLASH_SPI_HOLDN
		.FLASH_SPI_CSN(FLASH_SPI_CSN_io), //inout FLASH_SPI_CSN
		.FLASH_SPI_MISO(FLASH_SPI_MISO_io), //inout FLASH_SPI_MISO
		.FLASH_SPI_MOSI(FLASH_SPI_MOSI_io), //inout FLASH_SPI_MOSI
		.FLASH_SPI_WPN(FLASH_SPI_WPN_io), //inout FLASH_SPI_WPN
		.FLASH_SPI_CLK(FLASH_SPI_CLK_io), //inout FLASH_SPI_CLK
		.HCLK(HCLK_i), //input HCLK
		.hwRstn(hwRstn_i) //input hwRstn
	);

//--------Copy end-------------------
